return {
	"nvim-neotest/neotest",
	dependencies = {
		"nvim-neotest/nvim-nio",
		"nvim-lua/plenary.nvim",
		"antoinemadec/FixCursorHold.nvim",
		"nvim-treesitter/nvim-treesitter",
		"nvim-neotest/neotest-jest",
	},
	keys = {
		{
			"<leader>tt",
			function()
				require("neotest").run.run()
			end,
			mode = "",
			desc = "[T]est run under cursor",
		},
		{
			"<leader>ts",
			function()
				require("neotest").summary.toggle()
			end,
			mode = "",
			desc = "[T]est [s]tatus",
		},
		{
			"<leader>tf",
			function()
				require("neotest").run.run(vim.fn.expand("%"))
			end,
			mode = "",
			desc = "[T]est [f]ile",
		},
		{
			"<leader>tw",
			function()
				require("neotest").watch.watch()
			end,
			mode = "",
			desc = "[T]est [w]atch under cursor",
		},
	},
	config = function()
		require("neotest").setup({
			discovery = {
				enabled = false,
			},
			adapters = {
				require("neotest-jest")({
					cwd = function(path)
						return vim.fn.getcwd()
					end,
				}),
			},
		})
	end,
}
